language: php

php:
  - 5.5
  - 5.6
  - 7.1
  - 7.2

env:
  global:
    - TARGET=test

matrix:
  fast_finish: true
  include:
    - php: 7.0
      env: TARGET=cs_dry_run
    - php: 5.5
      env: COMPOSER_FLAGS="--prefer-lowest"
    - php: 5.6
      env: DEPENDENCIES="symfony/lts:^2"
    - php: 7.1
      env: DEPENDENCIES="symfony/lts:^3"

sudo: false

cache:
  directories:
    - $HOME/.composer/cache

before_install:
  # To be removed when this issue will be resolved: https://github.com/composer/composer/issues/5355
  - if [[ "$COMPOSER_FLAGS" == *"--prefer-lowest"* ]]; then composer update --prefer-dist --no-interaction --prefer-stable --quiet; fi
  - if [ "$DEPENDENCIES" != "" ]; then composer require --no-update $DEPENDENCIES; fi;
  - echo "memory_limit=2G" >> ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini

install: composer update --prefer-dist --no-interaction $COMPOSER_FLAGS

script:
 - make $TARGET
